#ifdef axsotorawcb
/*
 * Common structure pcb for raw internet protocol access.
 * Here are ax25 specific extensions to the raw control block,
 * and space is allocated to the necessary sockaddrs.
 */
struct raw_inpcb {
	struct	rawcb raxp_rcb;	/* common control block prefix */
	struct	mbuf *raxp_options;	/* IP options */
	int	raxp_flags;		/* flags, e.g. raw sockopts */
#define	RINPF_HDRINCL	0x1		/* user supplies entire IP header */
	struct	sockaddr_ax raxp_faddr;	/* foreign address */
	struct	sockaddr_ax raxp_laddr;	/* local address */
	struct	route raxp_route;	/* placeholder for routing entry */
};
#endif

#define	sotoaxccb(so)	((struct ax_ccb *)(so)->so_pcb)
#define	sotorawaxccb(so)	((struct raw_axccb *)(so)->so_pcb)
