#include "param.h"
#include "malloc.h"
#include "mbuf.h"
#include "errno.h"
#include "protosw.h"
#include "socket.h"
#include "socketvar.h"

#include "../net/if.h"

#include "ax.h"

#include "if_ki.h"
extern struct ki_softc ki_softc[];

struct ax_rt axrt;		/* first (default) entry in routing table */

/*
 * AX.25 routing - what a mess!
 */
struct ax_rt *
ax_route(ah)
	struct ax_hdr *ah;
{
	register struct ax_rt *rt;

	for (rt = axrt.rt_next; rt; rt=rt->rt_next) {
		/* skip empty routing slots */
		if (rt->rt_ttl == 0)
			continue;
		/* do destinations match? */
		if (axaddrmatch(ah->ax_dst, rt->ax_dst)) {
			return(rt);
		}
	}
	/* well, we didn't find a route, so return the default */
	return(&axrt);
}
