/*
 * Definitions for KISS interface data structures
 * 
 * (This exists so programs like kistats can get at the definition
 *  of ki_softc.)
 */
struct ki_softc {
	struct	ifnet kc_if;		/* queue and stats */
	struct	tty *kc_ttyp;		/* pointer to tty structure */
	u_char	*kc_mp;			/* pointer to next available buf char */
	u_char	*kc_ep;			/* pointer to last available buf char */
	u_char	*kc_buf;		/* input buffer */
	u_int	kc_flags;		/* see below */
	u_int	kc_escape;	/* =1 if last char input was FRAME_ESCAPE */
	u_int	kc_bytessent;
	u_int	kc_bytesrcvd;
	long	kc_lasttime;		/* last time a char arrived */
	long	kc_starttime;		/* last time a char arrived */
};

/* this stuff doesn't belong here... */
#define	KIIOCGFLAGS	_IOR('t', 90, int)	/* get configuration flags */
#define	KIIOCSFLAGS	_IOW('t', 89, int)	/* set configuration flags */
#define	KIIOCGUNIT	_IOR('t', 88, int)	/* get kiip unit number */
